<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eic::TrackerHitCollection Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceeic.html">eic</a></li><li class="navelem"><a class="el" href="classeic_1_1_tracker_hit_collection.html">TrackerHitCollection</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classeic_1_1_tracker_hit_collection-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">eic::TrackerHitCollection Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_tracker_hit_collection_8h_source.html">TrackerHitCollection.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for eic::TrackerHitCollection:</div>
<div class="dyncontent">
<div class="center"><img src="classeic_1_1_tracker_hit_collection__inherit__graph.png" border="0" usemap="#eic_1_1_tracker_hit_collection_inherit__map" alt="Inheritance graph"/></div>
<map name="eic_1_1_tracker_hit_collection_inherit__map" id="eic_1_1_tracker_hit_collection_inherit__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for eic::TrackerHitCollection:</div>
<div class="dyncontent">
<div class="center"><img src="classeic_1_1_tracker_hit_collection__coll__graph.png" border="0" usemap="#eic_1_1_tracker_hit_collection_coll__map" alt="Collaboration graph"/></div>
<map name="eic_1_1_tracker_hit_collection_coll__map" id="eic_1_1_tracker_hit_collection_coll__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a7dca54773c2ac3034f10943272be2202"><td class="memItemLeft" align="right" valign="top">using&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_hit_collection.html#a7dca54773c2ac3034f10943272be2202">const_iterator</a> = const <a class="el" href="classeic_1_1_tracker_hit_collection_iterator.html">TrackerHitCollectionIterator</a></td></tr>
<tr class="separator:a7dca54773c2ac3034f10943272be2202"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a87867b0115f1f68fba78d3421528cfb7"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_hit_collection.html#a87867b0115f1f68fba78d3421528cfb7">TrackerHitCollection</a> ()</td></tr>
<tr class="separator:a87867b0115f1f68fba78d3421528cfb7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0b7ef8edc1fa89ed56e76c75e465b8ad"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_hit_collection.html#a0b7ef8edc1fa89ed56e76c75e465b8ad">~TrackerHitCollection</a> ()</td></tr>
<tr class="separator:a0b7ef8edc1fa89ed56e76c75e465b8ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa8abc2c7c08ba677ad78e84e1c6bf81"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_hit_collection.html#aaa8abc2c7c08ba677ad78e84e1c6bf81">clear</a> () override final</td></tr>
<tr class="separator:aaa8abc2c7c08ba677ad78e84e1c6bf81"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a650f2b215c6674ae0fa86f5e4fa7826a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_tracker_hit_collection.html">TrackerHitCollection</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_hit_collection.html#a650f2b215c6674ae0fa86f5e4fa7826a">operator-&gt;</a> ()</td></tr>
<tr class="memdesc:a650f2b215c6674ae0fa86f5e4fa7826a"><td class="mdescLeft">&#160;</td><td class="mdescRight">operator to allow pointer like calling of members a la LCIO  <a href="#a650f2b215c6674ae0fa86f5e4fa7826a">More...</a><br /></td></tr>
<tr class="separator:a650f2b215c6674ae0fa86f5e4fa7826a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0978f1ccdfa1e608e7b806e7a110158a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_tracker_hit.html">TrackerHit</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_hit_collection.html#a0978f1ccdfa1e608e7b806e7a110158a">create</a> ()</td></tr>
<tr class="memdesc:a0978f1ccdfa1e608e7b806e7a110158a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Append a new object to the collection, and return this object.  <a href="#a0978f1ccdfa1e608e7b806e7a110158a">More...</a><br /></td></tr>
<tr class="separator:a0978f1ccdfa1e608e7b806e7a110158a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a877b210b948b7e6a9121c956577124cc"><td class="memTemplParams" colspan="2">template&lt;typename... Args&gt; </td></tr>
<tr class="memitem:a877b210b948b7e6a9121c956577124cc"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_tracker_hit.html">TrackerHit</a>&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_hit_collection.html#a877b210b948b7e6a9121c956577124cc">create</a> (Args &amp;&amp;... args)</td></tr>
<tr class="separator:a877b210b948b7e6a9121c956577124cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acc3968117f4d937eb81709b5f85667e6"><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_hit_collection.html#acc3968117f4d937eb81709b5f85667e6">size</a> () const override final</td></tr>
<tr class="memdesc:acc3968117f4d937eb81709b5f85667e6"><td class="mdescLeft">&#160;</td><td class="mdescRight">number of elements in the collection  <a href="#acc3968117f4d937eb81709b5f85667e6">More...</a><br /></td></tr>
<tr class="separator:acc3968117f4d937eb81709b5f85667e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa5ef85373afde7b558ddab0f1501054f"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_hit_collection.html#aa5ef85373afde7b558ddab0f1501054f">getValueTypeName</a> () const override</td></tr>
<tr class="memdesc:aa5ef85373afde7b558ddab0f1501054f"><td class="mdescLeft">&#160;</td><td class="mdescRight">fully qualified type name of elements - with namespace  <a href="#aa5ef85373afde7b558ddab0f1501054f">More...</a><br /></td></tr>
<tr class="separator:aa5ef85373afde7b558ddab0f1501054f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abba15631e49df0cdc19a7555a742c8fa"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classeic_1_1_tracker_hit.html">TrackerHit</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_hit_collection.html#abba15631e49df0cdc19a7555a742c8fa">operator[]</a> (unsigned int index) const</td></tr>
<tr class="memdesc:abba15631e49df0cdc19a7555a742c8fa"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the const object of given index.  <a href="#abba15631e49df0cdc19a7555a742c8fa">More...</a><br /></td></tr>
<tr class="separator:abba15631e49df0cdc19a7555a742c8fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a81f64db2cf661cf255b45725ed0da17a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_tracker_hit.html">TrackerHit</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_hit_collection.html#a81f64db2cf661cf255b45725ed0da17a">operator[]</a> (unsigned int index)</td></tr>
<tr class="memdesc:a81f64db2cf661cf255b45725ed0da17a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the object of a given index.  <a href="#a81f64db2cf661cf255b45725ed0da17a">More...</a><br /></td></tr>
<tr class="separator:a81f64db2cf661cf255b45725ed0da17a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af576313f6a838104d669ffa1ed14338f"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classeic_1_1_tracker_hit.html">TrackerHit</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_hit_collection.html#af576313f6a838104d669ffa1ed14338f">at</a> (unsigned int index) const</td></tr>
<tr class="memdesc:af576313f6a838104d669ffa1ed14338f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the const object of given index.  <a href="#af576313f6a838104d669ffa1ed14338f">More...</a><br /></td></tr>
<tr class="separator:af576313f6a838104d669ffa1ed14338f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4f1148d45bedd13540bc8c10dbc0d41f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_tracker_hit.html">TrackerHit</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_hit_collection.html#a4f1148d45bedd13540bc8c10dbc0d41f">at</a> (unsigned int index)</td></tr>
<tr class="memdesc:a4f1148d45bedd13540bc8c10dbc0d41f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the object of given index.  <a href="#a4f1148d45bedd13540bc8c10dbc0d41f">More...</a><br /></td></tr>
<tr class="separator:a4f1148d45bedd13540bc8c10dbc0d41f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab9794e11001db02a52a60d0e23bd41c5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_hit_collection.html#ab9794e11001db02a52a60d0e23bd41c5">push_back</a> (<a class="el" href="classeic_1_1_const_tracker_hit.html">ConstTrackerHit</a> object)</td></tr>
<tr class="memdesc:ab9794e11001db02a52a60d0e23bd41c5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Append object to the collection.  <a href="#ab9794e11001db02a52a60d0e23bd41c5">More...</a><br /></td></tr>
<tr class="separator:ab9794e11001db02a52a60d0e23bd41c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a23cebb0bf85b8d10b4e250fb6d3279c2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_hit_collection.html#a23cebb0bf85b8d10b4e250fb6d3279c2">prepareForWrite</a> () override final</td></tr>
<tr class="separator:a23cebb0bf85b8d10b4e250fb6d3279c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aad61fb73185f92dbe16ec893e0ea5e62"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_hit_collection.html#aad61fb73185f92dbe16ec893e0ea5e62">prepareAfterRead</a> () override final</td></tr>
<tr class="separator:aad61fb73185f92dbe16ec893e0ea5e62"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a196f31938dd7f7b02156748d4bc1d3e9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_hit_collection.html#a196f31938dd7f7b02156748d4bc1d3e9">setBuffer</a> (void *address) override final</td></tr>
<tr class="separator:a196f31938dd7f7b02156748d4bc1d3e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa2829c0d0ceabf38c25ae0233dfd8997"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_hit_collection.html#aa2829c0d0ceabf38c25ae0233dfd8997">setReferences</a> (const podio::ICollectionProvider *collectionProvider) override final</td></tr>
<tr class="separator:aa2829c0d0ceabf38c25ae0233dfd8997"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab71f2978a6dce22eb5ac579930323540"><td class="memItemLeft" align="right" valign="top">podio::CollRefCollection *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_hit_collection.html#ab71f2978a6dce22eb5ac579930323540">referenceCollections</a> () override final</td></tr>
<tr class="separator:ab71f2978a6dce22eb5ac579930323540"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af37f0f93004a2f023b4d3bfd1e38f927"><td class="memItemLeft" align="right" valign="top">podio::VectorMembersInfo *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_hit_collection.html#af37f0f93004a2f023b4d3bfd1e38f927">vectorMembers</a> () override</td></tr>
<tr class="separator:af37f0f93004a2f023b4d3bfd1e38f927"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad090fd218f3628b56a8b28f33f478aa9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_hit_collection.html#ad090fd218f3628b56a8b28f33f478aa9">setID</a> (unsigned ID) override final</td></tr>
<tr class="separator:ad090fd218f3628b56a8b28f33f478aa9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a62c64544f31e4c787b7c1570a731aa"><td class="memItemLeft" align="right" valign="top">unsigned&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_hit_collection.html#a1a62c64544f31e4c787b7c1570a731aa">getID</a> () const override final</td></tr>
<tr class="separator:a1a62c64544f31e4c787b7c1570a731aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7c10967ff0e1105e7209e36046124252"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_hit_collection.html#a7c10967ff0e1105e7209e36046124252">isValid</a> () const override final</td></tr>
<tr class="separator:a7c10967ff0e1105e7209e36046124252"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e765e5e4d51759f7429685bcf3fb1c2"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classeic_1_1_tracker_hit_collection.html#a7dca54773c2ac3034f10943272be2202">const_iterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_hit_collection.html#a0e765e5e4d51759f7429685bcf3fb1c2">begin</a> () const</td></tr>
<tr class="separator:a0e765e5e4d51759f7429685bcf3fb1c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a15e9313fc3c314fb2f2928defc265b89"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classeic_1_1_tracker_hit_collection.html#a7dca54773c2ac3034f10943272be2202">const_iterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_hit_collection.html#a15e9313fc3c314fb2f2928defc265b89">end</a> () const</td></tr>
<tr class="separator:a15e9313fc3c314fb2f2928defc265b89"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6fead6fc3052fa9cde561eafa59994b0"><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_hit_collection.html#a6fead6fc3052fa9cde561eafa59994b0">getBufferAddress</a> () override final</td></tr>
<tr class="memdesc:a6fead6fc3052fa9cde561eafa59994b0"><td class="mdescLeft">&#160;</td><td class="mdescRight">returns the address of the pointer to the data buffer  <a href="#a6fead6fc3052fa9cde561eafa59994b0">More...</a><br /></td></tr>
<tr class="separator:a6fead6fc3052fa9cde561eafa59994b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ace2c746431d130c8ea86fdeca64d9022"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="classeic_1_1_tracker_hit_data.html">TrackerHitData</a> &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_hit_collection.html#ace2c746431d130c8ea86fdeca64d9022">_getBuffer</a> ()</td></tr>
<tr class="memdesc:ace2c746431d130c8ea86fdeca64d9022"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the pointer to the data buffer.  <a href="#ace2c746431d130c8ea86fdeca64d9022">More...</a><br /></td></tr>
<tr class="separator:ace2c746431d130c8ea86fdeca64d9022"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a42b3f4ba7c01dfafc24a520136fa4ac6"><td class="memTemplParams" colspan="2">template&lt;size_t arraysize&gt; </td></tr>
<tr class="memitem:a42b3f4ba7c01dfafc24a520136fa4ac6"><td class="memTemplItemLeft" align="right" valign="top">const std::array&lt; long long, arraysize &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_hit_collection.html#a42b3f4ba7c01dfafc24a520136fa4ac6">cellID0</a> () const</td></tr>
<tr class="separator:a42b3f4ba7c01dfafc24a520136fa4ac6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:affba8579d5a00e461fbcce414aaa34f3"><td class="memTemplParams" colspan="2">template&lt;size_t arraysize&gt; </td></tr>
<tr class="memitem:affba8579d5a00e461fbcce414aaa34f3"><td class="memTemplItemLeft" align="right" valign="top">const std::array&lt; long long, arraysize &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_hit_collection.html#affba8579d5a00e461fbcce414aaa34f3">cellID1</a> () const</td></tr>
<tr class="separator:affba8579d5a00e461fbcce414aaa34f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a90516c9cfb301d8d453e8de07942b819"><td class="memTemplParams" colspan="2">template&lt;size_t arraysize&gt; </td></tr>
<tr class="memitem:a90516c9cfb301d8d453e8de07942b819"><td class="memTemplItemLeft" align="right" valign="top">const std::array&lt; long long, arraysize &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_hit_collection.html#a90516c9cfb301d8d453e8de07942b819">time</a> () const</td></tr>
<tr class="separator:a90516c9cfb301d8d453e8de07942b819"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0d73275e1f0d46fe9f021d201f004321"><td class="memTemplParams" colspan="2">template&lt;size_t arraysize&gt; </td></tr>
<tr class="memitem:a0d73275e1f0d46fe9f021d201f004321"><td class="memTemplItemLeft" align="right" valign="top">const std::array&lt; float, arraysize &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_hit_collection.html#a0d73275e1f0d46fe9f021d201f004321">EDep</a> () const</td></tr>
<tr class="separator:a0d73275e1f0d46fe9f021d201f004321"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c68c410fbaf83a91008a79f3b89bb80"><td class="memTemplParams" colspan="2">template&lt;size_t arraysize&gt; </td></tr>
<tr class="memitem:a6c68c410fbaf83a91008a79f3b89bb80"><td class="memTemplItemLeft" align="right" valign="top">const std::array&lt; float, arraysize &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_hit_collection.html#a6c68c410fbaf83a91008a79f3b89bb80">EDepError</a> () const</td></tr>
<tr class="separator:a6c68c410fbaf83a91008a79f3b89bb80"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8c0486f1a9fa9b92bd35d15f6f2c51fc"><td class="memTemplParams" colspan="2">template&lt;size_t arraysize&gt; </td></tr>
<tr class="memitem:a8c0486f1a9fa9b92bd35d15f6f2c51fc"><td class="memTemplItemLeft" align="right" valign="top">const std::array&lt; std::array&lt; double, 3 &gt;, arraysize &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_hit_collection.html#a8c0486f1a9fa9b92bd35d15f6f2c51fc">position</a> () const</td></tr>
<tr class="separator:a8c0486f1a9fa9b92bd35d15f6f2c51fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5f8b37ff7a3ad0432e78642be98dd1e4"><td class="memTemplParams" colspan="2">template&lt;size_t arraysize&gt; </td></tr>
<tr class="memitem:a5f8b37ff7a3ad0432e78642be98dd1e4"><td class="memTemplItemLeft" align="right" valign="top">const std::array&lt; std::array&lt; double, 3 &gt;, arraysize &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_hit_collection.html#a5f8b37ff7a3ad0432e78642be98dd1e4">covMatrix</a> () const</td></tr>
<tr class="separator:a5f8b37ff7a3ad0432e78642be98dd1e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>A Collection is identified by an ID. </p>

<p class="definition">Definition at line <a class="el" href="_tracker_hit_collection_8h_source.html#l00050">50</a> of file <a class="el" href="_tracker_hit_collection_8h_source.html">TrackerHitCollection.h</a>.</p>
</div><h2 class="groupheader">Member Typedef Documentation</h2>
<a id="a7dca54773c2ac3034f10943272be2202"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7dca54773c2ac3034f10943272be2202">&#9670;&nbsp;</a></span>const_iterator</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">using <a class="el" href="classeic_1_1_tracker_hit_collection.html#a7dca54773c2ac3034f10943272be2202">eic::TrackerHitCollection::const_iterator</a> =  const <a class="el" href="classeic_1_1_tracker_hit_collection_iterator.html">TrackerHitCollectionIterator</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_hit_collection_8h_source.html#l00053">53</a> of file <a class="el" href="_tracker_hit_collection_8h_source.html">TrackerHitCollection.h</a>.</p>

</div>
</div>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a87867b0115f1f68fba78d3421528cfb7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a87867b0115f1f68fba78d3421528cfb7">&#9670;&nbsp;</a></span>TrackerHitCollection()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::TrackerHitCollection::TrackerHitCollection </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_hit_collection_8cc_source.html#l00013">13</a> of file <a class="el" href="_tracker_hit_collection_8cc_source.html">TrackerHitCollection.cc</a>.</p>

</div>
</div>
<a id="a0b7ef8edc1fa89ed56e76c75e465b8ad"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0b7ef8edc1fa89ed56e76c75e465b8ad">&#9670;&nbsp;</a></span>~TrackerHitCollection()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::TrackerHitCollection::~TrackerHitCollection </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_hit_collection_8cc_source.html#l00018">18</a> of file <a class="el" href="_tracker_hit_collection_8cc_source.html">TrackerHitCollection.cc</a>.</p>

<p class="reference">References <a class="el" href="_tracker_hit_collection_8cc_source.html#l00050">clear()</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ace2c746431d130c8ea86fdeca64d9022"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ace2c746431d130c8ea86fdeca64d9022">&#9670;&nbsp;</a></span>_getBuffer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;<a class="el" href="classeic_1_1_tracker_hit_data.html">TrackerHitData</a>&gt;* eic::TrackerHitCollection::_getBuffer </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns the pointer to the data buffer. </p>

<p class="definition">Definition at line <a class="el" href="_tracker_hit_collection_8h_source.html#l00128">128</a> of file <a class="el" href="_tracker_hit_collection_8h_source.html">TrackerHitCollection.h</a>.</p>

<p class="reference">References <a class="el" href="_calorimeter_hit_8cc_source.html#l00112">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="af576313f6a838104d669ffa1ed14338f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af576313f6a838104d669ffa1ed14338f">&#9670;&nbsp;</a></span>at() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classeic_1_1_tracker_hit.html">TrackerHit</a> eic::TrackerHitCollection::at </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Returns the const object of given index. </p>

<p class="definition">Definition at line <a class="el" href="_tracker_hit_collection_8cc_source.html#l00027">27</a> of file <a class="el" href="_tracker_hit_collection_8cc_source.html">TrackerHitCollection.cc</a>.</p>

</div>
</div>
<a id="a4f1148d45bedd13540bc8c10dbc0d41f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4f1148d45bedd13540bc8c10dbc0d41f">&#9670;&nbsp;</a></span>at() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_tracker_hit.html">TrackerHit</a> eic::TrackerHitCollection::at </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Returns the object of given index. </p>

<p class="definition">Definition at line <a class="el" href="_tracker_hit_collection_8cc_source.html#l00035">35</a> of file <a class="el" href="_tracker_hit_collection_8cc_source.html">TrackerHitCollection.cc</a>.</p>

</div>
</div>
<a id="a0e765e5e4d51759f7429685bcf3fb1c2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0e765e5e4d51759f7429685bcf3fb1c2">&#9670;&nbsp;</a></span>begin()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classeic_1_1_tracker_hit_collection.html#a7dca54773c2ac3034f10943272be2202">const_iterator</a> eic::TrackerHitCollection::begin </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_hit_collection_8h_source.html#l00117">117</a> of file <a class="el" href="_tracker_hit_collection_8h_source.html">TrackerHitCollection.h</a>.</p>

</div>
</div>
<a id="a42b3f4ba7c01dfafc24a520136fa4ac6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a42b3f4ba7c01dfafc24a520136fa4ac6">&#9670;&nbsp;</a></span>cellID0()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;size_t arraysize&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">const std::array&lt; long long, arraysize &gt; eic::TrackerHitCollection::cellID0 </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_hit_collection_8h_source.html#l00170">170</a> of file <a class="el" href="_tracker_hit_collection_8h_source.html">TrackerHitCollection.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_tracker_hit_collection_8cc_source.html#l00113">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="affba8579d5a00e461fbcce414aaa34f3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#affba8579d5a00e461fbcce414aaa34f3">&#9670;&nbsp;</a></span>cellID1()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;size_t arraysize&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">const std::array&lt; long long, arraysize &gt; eic::TrackerHitCollection::cellID1 </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_hit_collection_8h_source.html#l00180">180</a> of file <a class="el" href="_tracker_hit_collection_8h_source.html">TrackerHitCollection.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_tracker_hit_collection_8cc_source.html#l00113">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="aaa8abc2c7c08ba677ad78e84e1c6bf81"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaa8abc2c7c08ba677ad78e84e1c6bf81">&#9670;&nbsp;</a></span>clear()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void eic::TrackerHitCollection::clear </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_hit_collection_8cc_source.html#l00050">50</a> of file <a class="el" href="_tracker_hit_collection_8cc_source.html">TrackerHitCollection.cc</a>.</p>

<p class="reference">Referenced by <a class="el" href="_tracker_hit_collection_8cc_source.html#l00018">~TrackerHitCollection()</a>.</p>

</div>
</div>
<a id="a5f8b37ff7a3ad0432e78642be98dd1e4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5f8b37ff7a3ad0432e78642be98dd1e4">&#9670;&nbsp;</a></span>covMatrix()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;size_t arraysize&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">const std::array&lt; std::array&lt; double, 3 &gt;, arraysize &gt; eic::TrackerHitCollection::covMatrix </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_hit_collection_8h_source.html#l00230">230</a> of file <a class="el" href="_tracker_hit_collection_8h_source.html">TrackerHitCollection.h</a>.</p>

</div>
</div>
<a id="a0978f1ccdfa1e608e7b806e7a110158a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0978f1ccdfa1e608e7b806e7a110158a">&#9670;&nbsp;</a></span>create() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_tracker_hit.html">TrackerHit</a> eic::TrackerHitCollection::create </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Append a new object to the collection, and return this object. </p>

<p class="definition">Definition at line <a class="el" href="_tracker_hit_collection_8cc_source.html#l00043">43</a> of file <a class="el" href="_tracker_hit_collection_8cc_source.html">TrackerHitCollection.cc</a>.</p>

</div>
</div>
<a id="a877b210b948b7e6a9121c956577124cc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a877b210b948b7e6a9121c956577124cc">&#9670;&nbsp;</a></span>create() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename... Args&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_tracker_hit.html">TrackerHit</a> eic::TrackerHitCollection::create </td>
          <td>(</td>
          <td class="paramtype">Args &amp;&amp;...&#160;</td>
          <td class="paramname"><em>args</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Append a new object to the collection, and return this object. Initialized with the parameters given </p>

<p class="definition">Definition at line <a class="el" href="_tracker_hit_collection_8h_source.html#l00162">162</a> of file <a class="el" href="_tracker_hit_collection_8h_source.html">TrackerHitCollection.h</a>.</p>

</div>
</div>
<a id="a0d73275e1f0d46fe9f021d201f004321"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0d73275e1f0d46fe9f021d201f004321">&#9670;&nbsp;</a></span>EDep()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;size_t arraysize&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">const std::array&lt; float, arraysize &gt; eic::TrackerHitCollection::EDep </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_hit_collection_8h_source.html#l00200">200</a> of file <a class="el" href="_tracker_hit_collection_8h_source.html">TrackerHitCollection.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_tracker_hit_collection_8cc_source.html#l00113">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a6c68c410fbaf83a91008a79f3b89bb80"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6c68c410fbaf83a91008a79f3b89bb80">&#9670;&nbsp;</a></span>EDepError()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;size_t arraysize&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">const std::array&lt; float, arraysize &gt; eic::TrackerHitCollection::EDepError </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_hit_collection_8h_source.html#l00210">210</a> of file <a class="el" href="_tracker_hit_collection_8h_source.html">TrackerHitCollection.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_tracker_hit_collection_8cc_source.html#l00113">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a15e9313fc3c314fb2f2928defc265b89"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a15e9313fc3c314fb2f2928defc265b89">&#9670;&nbsp;</a></span>end()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classeic_1_1_tracker_hit_collection.html#a7dca54773c2ac3034f10943272be2202">const_iterator</a> eic::TrackerHitCollection::end </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_hit_collection_8h_source.html#l00120">120</a> of file <a class="el" href="_tracker_hit_collection_8h_source.html">TrackerHitCollection.h</a>.</p>

</div>
</div>
<a id="a6fead6fc3052fa9cde561eafa59994b0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6fead6fc3052fa9cde561eafa59994b0">&#9670;&nbsp;</a></span>getBufferAddress()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void* eic::TrackerHitCollection::getBufferAddress </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>returns the address of the pointer to the data buffer </p>

<p class="definition">Definition at line <a class="el" href="_tracker_hit_collection_8h_source.html#l00125">125</a> of file <a class="el" href="_tracker_hit_collection_8h_source.html">TrackerHitCollection.h</a>.</p>

</div>
</div>
<a id="a1a62c64544f31e4c787b7c1570a731aa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1a62c64544f31e4c787b7c1570a731aa">&#9670;&nbsp;</a></span>getID()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">unsigned eic::TrackerHitCollection::getID </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_hit_collection_8h_source.html#l00108">108</a> of file <a class="el" href="_tracker_hit_collection_8h_source.html">TrackerHitCollection.h</a>.</p>

</div>
</div>
<a id="aa5ef85373afde7b558ddab0f1501054f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa5ef85373afde7b558ddab0f1501054f">&#9670;&nbsp;</a></span>getValueTypeName()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string eic::TrackerHitCollection::getValueTypeName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>fully qualified type name of elements - with namespace </p>

<p class="definition">Definition at line <a class="el" href="_tracker_hit_collection_8h_source.html#l00077">77</a> of file <a class="el" href="_tracker_hit_collection_8h_source.html">TrackerHitCollection.h</a>.</p>

</div>
</div>
<a id="a7c10967ff0e1105e7209e36046124252"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7c10967ff0e1105e7209e36046124252">&#9670;&nbsp;</a></span>isValid()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::TrackerHitCollection::isValid </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_hit_collection_8h_source.html#l00112">112</a> of file <a class="el" href="_tracker_hit_collection_8h_source.html">TrackerHitCollection.h</a>.</p>

</div>
</div>
<a id="a650f2b215c6674ae0fa86f5e4fa7826a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a650f2b215c6674ae0fa86f5e4fa7826a">&#9670;&nbsp;</a></span>operator->()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_tracker_hit_collection.html">TrackerHitCollection</a>* eic::TrackerHitCollection::operator-&gt; </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>operator to allow pointer like calling of members a la LCIO </p>

<p class="definition">Definition at line <a class="el" href="_tracker_hit_collection_8h_source.html#l00063">63</a> of file <a class="el" href="_tracker_hit_collection_8h_source.html">TrackerHitCollection.h</a>.</p>

</div>
</div>
<a id="abba15631e49df0cdc19a7555a742c8fa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abba15631e49df0cdc19a7555a742c8fa">&#9670;&nbsp;</a></span>operator[]() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classeic_1_1_tracker_hit.html">TrackerHit</a> eic::TrackerHitCollection::operator[] </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Returns the const object of given index. </p>

<p class="definition">Definition at line <a class="el" href="_tracker_hit_collection_8cc_source.html#l00023">23</a> of file <a class="el" href="_tracker_hit_collection_8cc_source.html">TrackerHitCollection.cc</a>.</p>

</div>
</div>
<a id="a81f64db2cf661cf255b45725ed0da17a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a81f64db2cf661cf255b45725ed0da17a">&#9670;&nbsp;</a></span>operator[]() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_tracker_hit.html">TrackerHit</a> eic::TrackerHitCollection::operator[] </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Returns the object of a given index. </p>

<p class="definition">Definition at line <a class="el" href="_tracker_hit_collection_8cc_source.html#l00031">31</a> of file <a class="el" href="_tracker_hit_collection_8cc_source.html">TrackerHitCollection.cc</a>.</p>

</div>
</div>
<a id="a8c0486f1a9fa9b92bd35d15f6f2c51fc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8c0486f1a9fa9b92bd35d15f6f2c51fc">&#9670;&nbsp;</a></span>position()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;size_t arraysize&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">const std::array&lt; std::array&lt; double, 3 &gt;, arraysize &gt; eic::TrackerHitCollection::position </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_hit_collection_8h_source.html#l00220">220</a> of file <a class="el" href="_tracker_hit_collection_8h_source.html">TrackerHitCollection.h</a>.</p>

</div>
</div>
<a id="aad61fb73185f92dbe16ec893e0ea5e62"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aad61fb73185f92dbe16ec893e0ea5e62">&#9670;&nbsp;</a></span>prepareAfterRead()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void eic::TrackerHitCollection::prepareAfterRead </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_hit_collection_8cc_source.html#l00065">65</a> of file <a class="el" href="_tracker_hit_collection_8cc_source.html">TrackerHitCollection.cc</a>.</p>

</div>
</div>
<a id="a23cebb0bf85b8d10b4e250fb6d3279c2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a23cebb0bf85b8d10b4e250fb6d3279c2">&#9670;&nbsp;</a></span>prepareForWrite()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void eic::TrackerHitCollection::prepareForWrite </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_hit_collection_8cc_source.html#l00056">56</a> of file <a class="el" href="_tracker_hit_collection_8cc_source.html">TrackerHitCollection.cc</a>.</p>

<p class="reference">References <a class="el" href="_tracker_hit_collection_8cc_source.html#l00039">size()</a>.</p>

</div>
</div>
<a id="ab9794e11001db02a52a60d0e23bd41c5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab9794e11001db02a52a60d0e23bd41c5">&#9670;&nbsp;</a></span>push_back()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void eic::TrackerHitCollection::push_back </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classeic_1_1_const_tracker_hit.html">ConstTrackerHit</a>&#160;</td>
          <td class="paramname"><em>object</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Append object to the collection. </p>

<p class="definition">Definition at line <a class="el" href="_tracker_hit_collection_8cc_source.html#l00081">81</a> of file <a class="el" href="_tracker_hit_collection_8cc_source.html">TrackerHitCollection.cc</a>.</p>

<p class="reference">References <a class="el" href="_tracker_hit_collection_8cc_source.html#l00039">size()</a>.</p>

</div>
</div>
<a id="ab71f2978a6dce22eb5ac579930323540"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab71f2978a6dce22eb5ac579930323540">&#9670;&nbsp;</a></span>referenceCollections()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">podio::CollRefCollection* eic::TrackerHitCollection::referenceCollections </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_hit_collection_8h_source.html#l00097">97</a> of file <a class="el" href="_tracker_hit_collection_8h_source.html">TrackerHitCollection.h</a>.</p>

</div>
</div>
<a id="a196f31938dd7f7b02156748d4bc1d3e9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a196f31938dd7f7b02156748d4bc1d3e9">&#9670;&nbsp;</a></span>setBuffer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void eic::TrackerHitCollection::setBuffer </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>address</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_hit_collection_8cc_source.html#l00093">93</a> of file <a class="el" href="_tracker_hit_collection_8cc_source.html">TrackerHitCollection.cc</a>.</p>

</div>
</div>
<a id="ad090fd218f3628b56a8b28f33f478aa9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad090fd218f3628b56a8b28f33f478aa9">&#9670;&nbsp;</a></span>setID()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void eic::TrackerHitCollection::setID </td>
          <td>(</td>
          <td class="paramtype">unsigned&#160;</td>
          <td class="paramname"><em>ID</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_hit_collection_8h_source.html#l00101">101</a> of file <a class="el" href="_tracker_hit_collection_8h_source.html">TrackerHitCollection.h</a>.</p>

</div>
</div>
<a id="aa2829c0d0ceabf38c25ae0233dfd8997"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa2829c0d0ceabf38c25ae0233dfd8997">&#9670;&nbsp;</a></span>setReferences()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::TrackerHitCollection::setReferences </td>
          <td>(</td>
          <td class="paramtype">const podio::ICollectionProvider *&#160;</td>
          <td class="paramname"><em>collectionProvider</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_hit_collection_8cc_source.html#l00076">76</a> of file <a class="el" href="_tracker_hit_collection_8cc_source.html">TrackerHitCollection.cc</a>.</p>

</div>
</div>
<a id="acc3968117f4d937eb81709b5f85667e6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acc3968117f4d937eb81709b5f85667e6">&#9670;&nbsp;</a></span>size()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">size_t eic::TrackerHitCollection::size </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">final</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>number of elements in the collection </p>

<p class="definition">Definition at line <a class="el" href="_tracker_hit_collection_8cc_source.html#l00039">39</a> of file <a class="el" href="_tracker_hit_collection_8cc_source.html">TrackerHitCollection.cc</a>.</p>

<p class="reference">Referenced by <a class="el" href="_tracker_hit_collection_8cc_source.html#l00113">eic::operator&lt;&lt;()</a>, <a class="el" href="_tracker_hit_collection_8cc_source.html#l00056">prepareForWrite()</a>, and <a class="el" href="_tracker_hit_collection_8cc_source.html#l00081">push_back()</a>.</p>

</div>
</div>
<a id="a90516c9cfb301d8d453e8de07942b819"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a90516c9cfb301d8d453e8de07942b819">&#9670;&nbsp;</a></span>time()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;size_t arraysize&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">const std::array&lt; long long, arraysize &gt; eic::TrackerHitCollection::time </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_hit_collection_8h_source.html#l00190">190</a> of file <a class="el" href="_tracker_hit_collection_8h_source.html">TrackerHitCollection.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_tracker_hit_collection_8cc_source.html#l00113">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="af37f0f93004a2f023b4d3bfd1e38f927"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af37f0f93004a2f023b4d3bfd1e38f927">&#9670;&nbsp;</a></span>vectorMembers()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">podio::VectorMembersInfo* eic::TrackerHitCollection::vectorMembers </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_tracker_hit_collection_8h_source.html#l00099">99</a> of file <a class="el" href="_tracker_hit_collection_8h_source.html">TrackerHitCollection.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>eicd/<a class="el" href="_tracker_hit_collection_8h_source.html">TrackerHitCollection.h</a></li>
<li>src/<a class="el" href="_tracker_hit_collection_8cc_source.html">TrackerHitCollection.cc</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
